<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('ai_tools', function (Blueprint $table) {
          $table->string('priority')->default('default');
          $table->enum('status',['live','trashed','blocked'])->default('live');

          $table->index('priority');
          $table->index('status');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('ai_tools', function (Blueprint $table) {
          $table->dropColumn('priority');
          $table->dropColumn('status');
        });
    }
};
